Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.client
Enum IItemRenderer.ItemRenderType

    java.lang.Object
      java.lang.Enum<IItemRenderer.ItemRenderType>
          net.minecraftforge.client.IItemRenderer.ItemRenderType

All Implemented Interfaces:
  Serializable, Comparable<IItemRenderer.ItemRenderType>

Enclosing interface:
  IItemRenderer

    public static enum IItemRenderer.ItemRenderType

extends Enum<IItemRenderer.ItemRenderType>

Enum Constant Summary
`ENTITY` Called to render an in-world item, e.g.
`EQUIPPED` Called to render an item currently held in-hand by a living entity.
`FIRST_PERSON_MAP` The render type used for when a ItemMap is rendered in first person, All appropriate rotations have been applied, and the player's hands, and the map BG are already rendered.
`INVENTORY` Called to render an item in a GUI inventory slot.

Method Summary
`static IItemRenderer.ItemRenderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IItemRenderer.ItemRenderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY

    public static final IItemRenderer.ItemRenderType ENTITY

  Called to render an in-world item, e.g. one that has been thrown or dropped. The appropriate OpenGL transformations and scaling have already been applied, so Tessellator location (0,0,0) is the center of the EntityItem. Data parameters: RenderBlocks render - The RenderBlocks instance EntityItem entity - The in-world item to be rendered

### EQUIPPED

    public static final IItemRenderer.ItemRenderType EQUIPPED

  Called to render an item currently held in-hand by a living entity. If rendering as a 3D block, the item will be rotated to a 45-degree angle. To render a 2D texture with some thickness (like default items), see net.minecraft.src.ItemRenderer. In either case, rendering should be done in local coordinates from (0,0,0)-(1,1,1). Data parameters: RenderBlocks render - The RenderBlocks instance EntityLiving entity - The entity holding this item

### INVENTORY

    public static final IItemRenderer.ItemRenderType INVENTORY

  Called to render an item in a GUI inventory slot. If rendering as a 3D block, the appropriate OpenGL translations and scaling have already been applied, and the rendering should be done in local coordinates from (0,0,0)-(1,1,1). If rendering as a 2D texture, the rendering should be in GUI pixel coordinates from (0, 0, 0)-(16, 16, 0). Data parameters: RenderBlocks render - The RenderBlocks instance

### FIRST_PERSON_MAP

    public static final IItemRenderer.ItemRenderType FIRST_PERSON_MAP

  The render type used for when a ItemMap is rendered in first person, All appropriate rotations have been applied, and the player's hands, and the map BG are already rendered. Data Parameters: EntityPlayer player - The player holding the map RenderEngine engine - The RenderEngine instance MapData mapData - The map data

Method Detail

### values

    public static IItemRenderer.ItemRenderType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IItemRenderer.ItemRenderType c : IItemRenderer.ItemRenderType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IItemRenderer.ItemRenderType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD